curl --location --request PUT 'https://api.stg.ordermesh.io/catalog/v1/products//variants/' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{
"sku": "Mug11oz-White-BlackAccent",
"attributes": [
{
"id": "AA9081EC-37A3-43C5-A9D0-9BEC266E77AD",
"name": "Color",
"value": "White With Black Accents",
"valueId": "C477A809-40CD-4BB4-9C30-A650B61CBFA8"
},
{
"id": "44E5C8AA-9932-47AC-A5FE-A97278C7279F",
"name": "Size",
"value": "11 oz",
"valueId": "3960F42D-8BCF-4612-AC16-699A114CA7E4"
}
],
"decorations": [
{
"area": "Default",
"width": 2538,
"height": 945,
"dpi": 300,
"method": "Embroidery",
"price": {
"currencies": null,
"amount": 0.5,
"currency": "USD"
},
"printImage": null
}
],
"price": {
"currencies": null,
"amount": 7.9,
"currency": "USD"
},
"status": "Active",
"images": [
"http://cdn.print.io/temp/38977dab92ba4699a79d84230e32fa85Mug_black_PreviewImage.png"
],
"gtin": "1194",
"upc": "Mug11oz-White-RedAccent",
"partNumber": "1194"
}'